:root {
  --primaryColor: #4497ff;
  --iconHoverColor: #414141;
  --backgroundColor: #f9f9f9;
  --borderColor: #eeeeee;
  --borderColor2: #3498db;

}

body {
  /* margin: 1rem 1rem; */
  margin: auto;
  font-family: "Montserrat", sans-serif;
  background-color: var(--backgroundColor);
  overflow-x: hidden;
  overflow-y: hidden;

}

::-webkit-scrollbar {
  width: 4px;
}

/* Track */
::-webkit-scrollbar-track {
  background: #8e919d;
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: var(--primaryColor);
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: var(--primaryColor);
}




.btn-primary {
  background-color: var(--primaryColor);
  border: none;
  font-weight: 500;
  font-size: 18px;
}

#loadingScreen {
  text-align: center;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);

}

#title {
  margin-top: 20px;
}

.loader {
  margin: auto;
  border: 16px solid #f3f3f3;
  /* Light grey background */
  border-top: 16px solid var(--borderColor2);
  /* Blue color */
  border-radius: 50%;
  width: 120px;
  height: 120px;
  animation: spin 2s linear infinite;
  /* position: absolute; */
  /* top: 50%; */
  /* left: 50%; */
  /* transform: translate(-50%, -50%); */
}

.btn {
  width: 120px;
}





@keyframes spin {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

/* font css styling */
.roboto-thin {
  font-family: "Montserrat", sans-serif;
  font-weight: 100;
  font-style: normal;
}

.roboto-light {
  font-family: "Montserrat", sans-serif;
  font-weight: 300;
  font-style: normal;
}

.roboto-regular {
  font-family: "Montserrat", sans-serif;
  font-weight: 400;
  font-style: normal;
}

.roboto-medium {
  font-family: "Montserrat", sans-serif;
  font-weight: 500;
  font-style: normal;
}

.roboto-bold {
  font-family: "Montserrat", sans-serif;
  font-weight: 700;
  font-style: normal;
}

.roboto-black {
  font-family: "Montserrat", sans-serif;
  font-weight: 900;
  font-style: normal;
}

.roboto-thin-italic {
  font-family: "Montserrat", sans-serif;
  font-weight: 100;
  font-style: italic;
}

.roboto-light-italic {
  font-family: "Montserrat", sans-serif;
  font-weight: 300;
  font-style: italic;
}

.roboto-regular-italic {
  font-family: "Montserrat", sans-serif;
  font-weight: 400;
  font-style: italic;
}

.roboto-medium-italic {
  font-family: "Montserrat", sans-serif;
  font-weight: 500;
  font-style: italic;
}

.roboto-bold-italic {
  font-family: "Montserrat", sans-serif;
  font-weight: 700;
  font-style: italic;
}

.roboto-black-italic {
  font-family: "Montserrat", sans-serif;
  font-weight: 900;
  font-style: italic;
}

/*  */
@keyframes l1 {
  to {
    transform: rotate(.5turn)
  }
}

.loader {
  width: 50px;
  aspect-ratio: 1;
  border-radius: 50%;
  border: 8px solid;
  border-color: var(--borderColor2) #0000;
  animation: l1 1s infinite;
  height: 50%;
}

button {
  border-radius: 30px !important;
  color: white !important;
}

#signInButton {
  background-color: #4497ff;
  border-radius: 15px;
  /* width: 15vw; */
  text-align: center;
  margin-top: 8vw;
  padding: 10px 20px;
  text-align: center;
  display: flex;
  width: 10%;
  min-width: fit-content;
  justify-content: center;
  align-items: center;



}

#questionSection {
  padding: 10px 10px !important;
}

#minimumAndMaximumSection {
  padding: 10px 10px !important;
}

#chartsSection {
  height: 100svh;
  overflow-y: scroll;
  padding: 10px 10px !important;
}

.row {
  --bs-gutter-x: 0;
  --bs-gutter-y: 0;
}

#questionDescription {
  position: absolute;
  margin: auto;
  width: 100%;
  height: 100vh;
  align-content: center;
  justify-content: center;
  align-items: center;
  display: flex;
  flex-direction: column;
  background-color: #8080807b;
  display: none;
  z-index: 1;
}

#metricsDescription {
  position: absolute;
  margin: auto;
  width: 100%;
  height: 100vh;
  align-content: center;
  justify-content: center;
  align-items: center;
  display: flex;
  flex-direction: column;
  background-color: #8080807b;
  display: none;
  z-index: 1;
}

.refrnceBlock {}

.refrenceLink {
  text-decoration: none !important;
}

.title {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  padding: 14px 10px;
  font-size: 22px;
  background: var(--primaryColor);
  color: white;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
  width: 50%;
  font-weight: bold;
}
.fa-solid {
  align-content: center;
  margin-right: 8px;
}

.body {
  background-color: var(--backgroundColor);
  border: 1.5px solid var(--primaryColor);
  border-bottom-left-radius: 10px;
  border-bottom-right-radius: 10px;
  width: 50%;
  min-height: 10%;
  /* height: 50%; */
  font-size: 18px;
  /* font-weight: 500; */
  text-align: left;
  padding: 8px 10px;

}

#questionNextButton {
  background-color: #4497ff;
  border-color: #4497ff;
  border-radius: 30px;
  color: white;
  margin-top: 0px !important;
}

#logo {
  color: #707070;
  font-style: italic;
}



h5 {
  color: #707070;
  font-weight: bold;
}

.form-label {
  margin-bottom: 0px;
}

.questionRow {
  color: #393e46;
  padding-top: .25rem;
  padding-bottom: .25rem;
  padding-left: 2rem;
  padding-right: 2rem;
  background-color: white;
  border: 2px solid #eeeeee;
  border-top-left-radius: 8px;
  border-top-right-radius: 8px;
  display: flex;
  justify-content: start;
  align-items: center;
  font-family: "Montserrat", sans-serif;
  font-size: 1rem;
  font-weight: 500;
}





#s1rd1,
#s1rd2 {
  margin-left: 20px;
}

.questionIcon {
  margin-left: .3rem;
  background-color: #CECECE;
  padding: 10px;
  border-radius: 50%;
  width: 30px;
  height: 30px;
  text-align: center;
  transform: scale(0.75);
  display: flex;
  justify-content: center;
  align-items: center;
  transition: all .3s ease;
}

.questionIcon::after {
  content: '!';
  font-size: 20px;
  font-weight: bold;
  color: #707070;
}

.questionIcon:hover {
  background-color: var(--iconHoverColor);
  color: var(--backgroundColor);
}

.questionIcon:hover .questionIcon::after {
  color: var(--backgroundColor);
}

.section1>div {
  position: relative;
}

#tooltipData {
  display: none;
  position: absolute;
  top: 0;
  left: 50%;
  width: calc(100vw/3);
  border: 1.5px solid var(--borderColor2);
  border-radius: 10px;
  background-color: var(--backgroundColor);
  padding: 20px 10px;

}

input[type='number'],
input[type='text'],
input[type='password'] {
  border-radius: 0px !important;
  border-bottom-left-radius: 8px !important;
  border-bottom-right-radius: 8px !important;
  border: 2px solid var(--borderColor);
  border-top: 0px var(--borderColor);
  background-color: var(--borderColor) !important;
  padding: 5px 20px;
  font-size: 18px;
  height: 40px;
  align-content: center;
}

input:read-only {
  background-color: #4497ff !important;
  border: 2px solid #eeeeee;
  border-top: 0px #eeeeee;
  color: white;
}

input[type="radio"] {
  background-color: #ffffff !important;
  border: 2px solid #e2e2e2 !important;
}

input[type="radio"]:checked {
  background-color: #4497ff !important;
  --bs-form-check-bg-image: none !important;

}

.readOnlyLabel {
  background-color: #92c3ff !important;
  /* border-color: #92c3ff; */
  /* color: white; */

}

#minimumAndMaximumSection>.container {
  position: relative;
  padding: 1rem 1rem;
  background-color: #ffffff;
  border-radius: 5px;
  text-align: center;
  border: 2px solid #eeeeee;
  margin: 8px 0px !important;
}

.questionIconMetric {
  margin-left: .3rem;
  background-color: #CECECE;
  padding: 10px;
  border-radius: 50%;
  width: 30px;
  height: 30px;
  text-align: center;
  transform: scale(0.75);
  display: flex;
  justify-content: center;
  align-items: center;
  transition: all .3s ease;
}

.questionIconMetric::after {
  content: '!';
  font-size: 20px;
  font-weight: bold;
  color: #707070;
}

.questionIconMetric:hover {
  background-color: var(--iconHoverColor);
  color: var(--backgroundColor);
}

.questionIconMetric:hover .questionIconMetric::after {
  color: var(--backgroundColor);
}

#minimumAndMaximumSection>.container>.questionIconMetric {
  position: absolute;
  top: 5px;
  left: 5px;
}

#minimumAndMaximumSection>.container>label {
  margin-bottom: 10px;
  font-family: "Montserrat", sans-serif;
  font-weight: 500;
  font-style: normal;
  color: #393e46;
}

input[type='range'] {
  background-color: #ffffff !important;
  border: 0px;
}

#profileSection {
  position: sticky;
  top: 0;
}

.diagramContainer {
  background-color: #ffffff;
  border: 2px solid #eeeeee;
  border-radius: 5px;
  padding: .75rem;
  color: #707070;
  margin-bottom: 1.5rem;
}

.profileDetailsRow {
  margin-bottom: 10px;
  font-weight: 500;
}

.profileDetailsRowContent>* {
  padding: 0px 8px;
}

.profileDetailsRowContent {
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
  align-items: center;
  justify-content: start;

}

.profileDetailsRowNumber {
  text-align: left;
  font-weight: 600;
}

.diagramBigTitle {
  font-size: 1.25rem;
  padding: .2rem;
}

.chartLineBigTitle {
  margin: .25rem;
}

.chartLine {
  padding: .25rem;
  text-align: center;
  border-radius: 2px;
}

.bigChartLineTitle {
  margin: 0px;
  color: white;

}

.diagramSmallTitle {
  font-size: 18px;
  padding: 0px;
}

.smallChartLineTitle {
  font-size: 14px;
  margin: 0px;
  color: white;
  text-shadow: 2px 2px 12px #757474;

}

.blue {
  background: linear-gradient(90deg, rgba(58, 40, 177, 1) 0%, rgba(122, 71, 194, 1) 50%, rgba(191, 105, 213, 1) 100%);
}

.green {
  background: linear-gradient(90deg, rgba(66, 147, 33, 1) 0%, rgba(123, 192, 57, 1) 50%, rgba(180, 236, 81, 1) 100%);

}

@media (min-width: 176px) and (max-width: 991.98px) {
  .body {
    width: 90%;
  }

  .title {
    width: 90%;
  }
}